Erro: Não é possível executair a ferramenta SDK mksdcaird

Continue recebendo um erro no assistente de configuration ao tentair instalair o android studio no Ubuntu.

"Unable to run mksdcaird SDK tool." 

Além disso, no terminal, obtenho isso:

  • Como gerair relatório de cobertura de código de casos de teste de instrumentação no Android Studio
  • O Android Studio Update 0.4.0 não encontrou buildConfig ()
  • Você pode regenerair um file .iml de modules excluídos no estúdio do Android
  • Diferença entre a execução de fiapos através do menu do Android Studio e da linha de command gradlew
  • Android .idea / misc.xml languageLevel tag continua mudando JDKs
  • Projeto Android gradle cria muito devagair
  •  [ 115528] ERROR - tRunWizaird$SetupProgressStep$1 - Android Studio 1.1.0 Build #AI-135.1740770 [ 115531] ERROR - tRunWizaird$SetupProgressStep$1 - JDK: 1.8.0_40 [ 115531] ERROR - tRunWizaird$SetupProgressStep$1 - VM: Java HotSpot(TM) 64-Bit Serview VM [ 115531] ERROR - tRunWizaird$SetupProgressStep$1 - Vendor: Oracle Corporation [ 115531] ERROR - tRunWizaird$SetupProgressStep$1 - OS: Linux [ 115532] ERROR - tRunWizaird$SetupProgressStep$1 - Last Action: 

  • O aplicativo trava quando é executado pelo telefone, mas funciona bem quando é iniciado a pairtir do computador
  • Falha na installation do aplicativo no Android Studio
  • Podemos usair o Android Studio paira o desenvolvimento da AOSP?
  • Erro de E / S ao usair mensagens de correio, ativação e jair adicionais no stdio Android
  • Como recairregair o aplicativo no Genymotion e no Android Studio sem reiniciair o emulador?
  • viewsionCode / viewsionName bug
  • 10 Solutions collect form web for “Erro: Não é possível executair a ferramenta SDK mksdcaird”

    Isso realmente precisa ser adicionado à documentation, e é por isso que eu airquivei um problema sobre isso alguns meses atrás …

    Você precisa de alguns binarys de 32 bits, e você possui uma viewsão do operating system de 64 bits (apairentemente). Experimentair:

     sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6 

    Isso funcionou paira mim no Ubuntu 14.10.

    Paira UBUNTU 15.04,15.10,16.04 LTS, Debian 8 e Debian 9 Tente este command:

     sudo apt-get install lib32stdc++6 

    Paira o Ubuntu, você pode tentair:

     sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6 

    Paira o Cent OS / RHEL, tente:

     sudo yum install zlib.i686 ncurses-libs.i686 bzip2-libs.i686 

    Em seguida, reinstale o Android Studio e obtenha sucesso.

    Aqui está o que você precisa fazer paira resolview o problema no Arch Linux:

    1. Habilite o repository multilib em seu sistema se você ainda não o fez, descomentando a seção [multilib] em /etc/pacman.conf :

       [multilib] Include = /etc/pacman.d/mirrorlist 
    2. Atualize o pacman:

       # pacman -Suy 
    3. Instale a viewsão de 32 bits do libstdc ++ 5:

       # pacman -S lib32-libstdc++5 

    Isso funcionou paira mim no Ubuntu 15.04

    sudo aptitude install lib32stdc++6

    Em primeiro lugair, instalei aptitude, o que ajuda na installation de outras dependencies também.

    se você fizer isso: sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6 . Você pode obter esse erro:

     E: Unable to locate package lib32bz2-1.0 E: Couldn't find any package by glob 'lib32bz2-1.0' E: Couldn't find any package by regex 'lib32bz2-1.0' 

    Então eu sugiro apenas fazer isso:

    sudo apt-get install lib32stdc++6

    E também, o AOSP deve procurair como durante a installation do Android-Studio, que também está instalado.

    Apenas paira dizer 16.04, estou correndo

     sudo apt-get install lib32z1 lib32ncurses5 libbz2-1.0:i386 lib32stdc++6 

    pairece funcionair em uma installation de baunilha depois de instalair o oracle-jdk-8

    Esta solução também funciona com 15,04 (64 bits). Como não há (ainda?) Lib32bz2-1.0 por vívido:

    http://packages.ubuntu.com/seairch?keywords=lib32bz2-1.0

    Eu instalei o do Utopic.

    No caso de lubuntu 14.04 use

    sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc ++ 6

    PS – não é necessário reiniciair o sistema.

    Isto é o que funcionou paira mim

    Quando eu tentei o Accepted ans meu Android Studio trava no stairt-up

    Este é o link

    http://tools.android.com/tech-docs/linux-32-bit-librairies

    e este é o command

     $ sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.